# hey Emacs, its -*- mode: rpm-spec; coding: cyrillic-cp1251; -*-
# $Id: xfsdump,v 1.9 2004/05/15 18:46:57 ab Exp $
Summary: Administrative utilities for the XFS filesystem
Name: xfsdump
Version: 2.2.17
Release: alt1
Source0: %name-%version.src.tar.gz
Patch: %name-2.2.14-la-alt.patch
Patch1: %name-2.2.17-uuid-shared-alt.patch

License: GPL
Group: System/Kernel and hardware
PreReq: /sbin/ldconfig
Url: http://oss.sgi.com/projects/xfs/
BuildRequires: libattr-devel libdm-devel libe2fs-devel libxfs-devel libncurses-devel

%description
The xfsdump package contains xfsdump, xfsrestore and a number of
other utilities for administering XFS filesystems.

xfsdump examines files in a filesystem, determines which need to be
backed up, and copies those files to a specified disk, tape or other
storage medium.  It uses XFS-specific directives for optimizing the
dump of an XFS filesystem, and also knows how to backup XFS extended
attributes.  Backups created with xfsdump are "endian safe" and can
thus be transfered between Linux machines of different architectures
and also between IRIX machines.

xfsrestore performs the inverse function of xfsdump; it can restore a
full backup of a filesystem.  Subsequent incremental backups can then
be layered on top of the full backup.  Single files and directory
subtrees may be restored from full or partial backups.

%prep
%setup -q
%patch -p1
%patch1 -p1

%build
autoconf

export DEBUG="-DNDEBUG"
# Call default target, it calls configure target which provides proper settings
  CFLAGS="${CFLAGS:-%optflags}" ; export CFLAGS ; \
  CXXFLAGS="${CXXFLAGS:-%optflags}" ; export CXXFLAGS ; \
  FFLAGS="${FFLAGS:-%optflags}" ; export FFLAGS ; \
  LOCAL_CONFIGURE_OPTIONS='--enable-shared-uuid' ; export LOCAL_CONFIGURE_OPTIONS ; \
%make_build

%install
make DIST_ROOT=%buildroot install install-dev
%__rm -rf %buildroot%_datadir/doc/%name
%find_lang %name

%files -f %name.lang
%doc doc/CHANGES.gz doc/INSTALL doc/README.xfsdump
/sbin/*
%_sbindir/*
%_mandir/*/*

%changelog
* Sat May 15 2004 Alexander Bokovoy <ab@altlinux.ru> 2.2.17-alt1
- 2.2.17

* Thu Dec 11 2003 Alexander Bokovoy <ab@altlinux.ru> 2.2.14-alt1
- 2.2.14
- Build everything dynamically

* Tue May 20 2003 Alexander Bokovoy <ab@altlinux.ru> 2.2.6-alt1
- 2.2.6, changed maintainer
- Spec cleanup
- Updated buildrequires
- Removed obsolete patches

* Fri Dec 27 2002 Konstantin Volckov <goldhead@altlinux.ru> 2.0.3-alt1
- 2.0.3
- Updated buildrequires

* Wed Apr 10 2002 Konstantin Volckov <goldhead@altlinux.ru> 2.0.0-alt0.1cvs
- 2.0.0

* Wed Nov 21 2001 Konstantin Volckov <goldhead@altlinux.ru> 1.1.7-alt1
- 1.1.7

* Wed Oct 31 2001 Konstantin Volckov <goldhead@altlinux.ru> 1.1.3-alt2
- Rebuilt with libxfs 1.3.7

* Thu Sep 20 2001 Konstantin Volckov <goldhead@altlinux.ru> 1.1.3-alt1
- First build for Sisyphus

* Fri Sep  7 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 1.1.3-1mdk
- 1.1.3.
- rework spec files and adjust requires.

* Wed May  2 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 1.0.5-1mdk
- Fist attempt based on the SGI spec.

# end of file


